Subject: Re: [v6ops] WGLC: draft-ietf-v6ops-nat64-deployment-04

From: Mikael Abrahamsson <[email-masked]>
Date: Thu, 9 May 2019 09:53:07 +0200 (CEST)

On Mon, 22 Apr 2019, Ron Bonica wrote:

> Folks,
>
> This ends WG Last Call on draft-ietf-v6ops-nat64-deployment-04.
>
> Mikael,
>
> Would you provide the shepherd's write-up.

As part of this write-up I realised RFC2119/RFC8174 language in there, is 
this really applicable for this kind of draft? Do we need more text on 
what this really means?

Can an informational draft even use RFC2119/RFC8174 language in it with 
the boilerplate RFC8174 header? RFC7084 is informational but has a 
different RFC2119/8174 reference section that spells out what it means 
when it's using this language.

There are things like:

"Taking in consideration that discussion and other issues, we can
    summarize the possible decision points as:

    a.  The WKP MUST NOT be used to represent non-global IPv4 addresses.
        If this is required because the network to be translated use non-
        global addresses, then an NSP is required."

So first there is some kind of considerations/summary list and then we get 
RFC2119 language?

Also, the lists in the document are either as 1,2,3 or a,b,c or bullet 
lists with "o" before. Is there a difference between these different 
methods of "numbering" lists?

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 09 May 2019 17:38:13 -0400

Hi Mikael,

Responding below, in-line.

Regards,
Jordi

El 9/5/19 3:54, "v6ops en nombre de Mikael Abrahamsson" <[email-masked] en nombre de [email-masked]> escribió:

    

I recall I've included this once in a previous (also informational) document (now RFC8585) I was asked for it.

    There are things like:

I'm happy to remove the upper case,  but the reason for those, in this specific section, is that it is a summary of already existing text in RFC6052, that already have the upper case, so I think it make sense to keep them.

It is just a matter of increase readability. In some sections, there are "consecutive" sequences of "lists" and I think those are easier to read and to avoid confusion if I alternate letters and numbers in different lists.

    _______________________________________________
    v6ops mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/v6ops

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.